enumerations

## Enum StatusCode

- java.lang.Object
- - java.lang.Enum<StatusCode>
  - - enumerations.StatusCode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<StatusCode>

      public enum StatusCode
      extends java.lang.Enum<StatusCode>

  Status codes specified in Wireless M-Bus, their meanings bit order.
  Author:
    David Hudec (dwdization@gmail.com)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AnyApplicationError`
    `ApplicationBusy`
    `ManufacturerSpecificBit5`
    `ManufacturerSpecificBit6`
    `ManufacturerSpecificBit7`
    `NoError`
    `PermanentError`
    `PowerLow`
    `TemporaryError`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `niceName`
    `private int` | `positionOfOne`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getNiceName()`
    `static java.lang.Byte` | `getStatusByte(java.util.List<StatusCode> codes)`
    `static StatusCode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static StatusCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AnyApplicationError

          public static final StatusCode AnyApplicationError

    - #### ApplicationBusy

          public static final StatusCode ApplicationBusy

    - #### ManufacturerSpecificBit5

          public static final StatusCode ManufacturerSpecificBit5

    - #### ManufacturerSpecificBit6

          public static final StatusCode ManufacturerSpecificBit6

    - #### ManufacturerSpecificBit7

          public static final StatusCode ManufacturerSpecificBit7

    - #### NoError

          public static final StatusCode NoError

    - #### PermanentError

          public static final StatusCode PermanentError

    - #### PowerLow

          public static final StatusCode PowerLow

    - #### TemporaryError

          public static final StatusCode TemporaryError

  - ### Field Detail

    - #### niceName

          private java.lang.String niceName

    - #### positionOfOne

          private int positionOfOne

  - ### Method Detail

    - #### getNiceName

          public java.lang.String getNiceName()

    - #### getStatusByte

          public static java.lang.Byte getStatusByte(java.util.List<StatusCode> codes)

    - #### valueOf

          public static StatusCode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### values

          public static StatusCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StatusCode c : StatusCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared